bases:
- ../../base
resources:
- elastic-deployment.yaml
- elastic-service.yaml
- es-secret.yaml
- apm-secret.yaml
patchesStrategicMerge:
- jobsearch-deployment-init.yaml
- delete-jobsearch-route.yaml
- delete-jobstream-route.yaml
- delete-proxy.yaml
images:
- name: docker-images.jobtechdev.se/jobsearch-apis/jobsearch-apis:latest
  newName: docker-images.jobtechdev.se/jobsearch-apis/jobsearch-apis
  newTag: 04109ab

configMapGenerator:
- name: init-script
  files:
  - es-setup.sh
- name: historical
  behavior: merge
  envs:
  - historical-config.env
- name: jobsearch
  behavior: merge
  envs:
  - jobsearch-config.env
- name: jobstream
  behavior: merge
  envs:
  - jobstream-config.env
commonAnnotations:
  kube-linter.io/ignore-all: "Be sloppy for personal for now."
